Bug 214308 - shouldn't /etc/pam.d/firestarter use /etc/pam.d/config-util?
shouldn't /etc/pam.d/firestarter use /etc/pam.d/config-util?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firestarter (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 18:47 EST by Kahlil Hodgson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-16 05:41:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kahlil Hodgson 2006-11-06 18:47:43 EST
Description of problem:

Not really a bug, but all of the system config utilities, including
system-config-securitylevel, include /etc/pam.d/config-util.  Perhaps
firestarter should do the same?

Version-Release number of selected component (if applicable):

  1.0.3-14.fc6

Actual results:

cat /home/etc/pam.d/firestarter
auth       sufficient   pam_rootok.so
auth       required     pam_stack.so service=system-auth
session    required     pam_permit.so
session    optional     pam_xauth.so
account    required     pam_permit.so

Expected results:

cat /etc/pam.d/firestarter
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util

cat /etc/pam.d/config-util
#%PAM-1.0
auth            sufficient      pam_rootok.so
auth            sufficient      pam_timestamp.so
auth            include         system-auth
account         required        pam_permit.so
session         required        pam_permit.so
session         optional        pam_xauth.so
session         optional        pam_timestamp.so

Note You need to log in before you can comment on or make changes to this bug.